Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class Instance

    java.lang.Object
      com.amazonaws.services.ec2.model.Instance

    public class Instance

extends Object

Represents an Amazon EC2 instance.

Constructor Summary
`Instance()`

Method Summary
`Integer` | `getAmiLaunchIndex()` The AMI launch index, which can be used to find this instance within the launch group.
`String` | `getArchitecture()` The architecture of this instance.
`List<InstanceBlockDeviceMapping>` | `getBlockDeviceMappings()` Block device mapping set.
`String` | `getImageId()` Image ID of the AMI used to launch the instance.
`String` | `getInstanceId()` Unique ID of the instance launched.
`String` | `getInstanceLifecycle()`
`String` | `getInstanceType()` The instance type.
`String` | `getKernelId()` Kernel associated with this instance.
`String` | `getKeyName()` If this instance was launched with an associated key pair, this displays the key pair name.
`Date` | `getLaunchTime()` The time this instance launched.
`InstanceLicense` | `getLicense()` Represents an active license in use and attached to an Amazon EC2 instance.
`Monitoring` | `getMonitoring()` Monitoring status for this instance.
`Placement` | `getPlacement()` The location where this instance launched.
`String` | `getPlatform()` Platform of the instance (e.g., Windows).
`String` | `getPrivateDnsName()` The private DNS name assigned to the instance.
`String` | `getPrivateIpAddress()` Specifies the private IP address that is assigned to the instance (Amazon VPC).
`List<ProductCode>` | `getProductCodes()` Product codes attached to this instance.
`String` | `getPublicDnsName()` The public DNS name assigned to the instance.
`String` | `getPublicIpAddress()` Specifies the IP address of the instance.
`String` | `getRamdiskId()` RAM disk associated with this instance.
`String` | `getRootDeviceName()` The root device name (e.g., /dev/sda1).
`String` | `getRootDeviceType()` The root device type used by the AMI.
`String` | `getSpotInstanceRequestId()`
`InstanceState` | `getState()` The current state of the instance.
`StateReason` | `getStateReason()` The reason for the state change.
`String` | `getStateTransitionReason()` Reason for the most recent state transition.
`String` | `getSubnetId()` Specifies the Amazon VPC subnet ID in which the instance is running.
`String` | `getVirtualizationType()` Returns the value of the VirtualizationType property for this object.
`String` | `getVpcId()` Specifies the Amazon VPC in which the instance is running.
`void` | `setAmiLaunchIndex(Integer amiLaunchIndex)` The AMI launch index, which can be used to find this instance within the launch group.
`void` | `setArchitecture(String architecture)` The architecture of this instance.
`void` | `setBlockDeviceMappings(Collection<InstanceBlockDeviceMapping> blockDeviceMappings)` Block device mapping set.
`void` | `setImageId(String imageId)` Image ID of the AMI used to launch the instance.
`void` | `setInstanceId(String instanceId)` Unique ID of the instance launched.
`void` | `setInstanceLifecycle(String instanceLifecycle)`
`void` | `setInstanceType(String instanceType)` The instance type.
`void` | `setKernelId(String kernelId)` Kernel associated with this instance.
`void` | `setKeyName(String keyName)` If this instance was launched with an associated key pair, this displays the key pair name.
`void` | `setLaunchTime(Date launchTime)` The time this instance launched.
`void` | `setLicense(InstanceLicense license)` Represents an active license in use and attached to an Amazon EC2 instance.
`void` | `setMonitoring(Monitoring monitoring)` Monitoring status for this instance.
`void` | `setPlacement(Placement placement)` The location where this instance launched.
`void` | `setPlatform(String platform)` Platform of the instance (e.g., Windows).
`void` | `setPrivateDnsName(String privateDnsName)` The private DNS name assigned to the instance.
`void` | `setPrivateIpAddress(String privateIpAddress)` Specifies the private IP address that is assigned to the instance (Amazon VPC).
`void` | `setProductCodes(Collection<ProductCode> productCodes)` Product codes attached to this instance.
`void` | `setPublicDnsName(String publicDnsName)` The public DNS name assigned to the instance.
`void` | `setPublicIpAddress(String publicIpAddress)` Specifies the IP address of the instance.
`void` | `setRamdiskId(String ramdiskId)` RAM disk associated with this instance.
`void` | `setRootDeviceName(String rootDeviceName)` The root device name (e.g., /dev/sda1).
`void` | `setRootDeviceType(String rootDeviceType)` The root device type used by the AMI.
`void` | `setSpotInstanceRequestId(String spotInstanceRequestId)`
`void` | `setState(InstanceState state)` The current state of the instance.
`void` | `setStateReason(StateReason stateReason)` The reason for the state change.
`void` | `setStateTransitionReason(String stateTransitionReason)` Reason for the most recent state transition.
`void` | `setSubnetId(String subnetId)` Specifies the Amazon VPC subnet ID in which the instance is running.
`void` | `setVirtualizationType(String virtualizationType)` Sets the value of the VirtualizationType property for this object.
`void` | `setVpcId(String vpcId)` Specifies the Amazon VPC in which the instance is running.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`Instance` | `withAmiLaunchIndex(Integer amiLaunchIndex)` The AMI launch index, which can be used to find this instance within the launch group.
`Instance` | `withArchitecture(String architecture)` The architecture of this instance.
`Instance` | `withBlockDeviceMappings(Collection<InstanceBlockDeviceMapping> blockDeviceMappings)` Block device mapping set.
`Instance` | `withBlockDeviceMappings(InstanceBlockDeviceMapping... blockDeviceMappings)` Block device mapping set.
`Instance` | `withImageId(String imageId)` Image ID of the AMI used to launch the instance.
`Instance` | `withInstanceId(String instanceId)` Unique ID of the instance launched.
`Instance` | `withInstanceLifecycle(String instanceLifecycle)` Returns a reference to this object so that method calls can be chained together.
`Instance` | `withInstanceType(String instanceType)` The instance type.
`Instance` | `withKernelId(String kernelId)` Kernel associated with this instance.
`Instance` | `withKeyName(String keyName)` If this instance was launched with an associated key pair, this displays the key pair name.
`Instance` | `withLaunchTime(Date launchTime)` The time this instance launched.
`Instance` | `withLicense(InstanceLicense license)` Represents an active license in use and attached to an Amazon EC2 instance.
`Instance` | `withMonitoring(Monitoring monitoring)` Monitoring status for this instance.
`Instance` | `withPlacement(Placement placement)` The location where this instance launched.
`Instance` | `withPlatform(String platform)` Platform of the instance (e.g., Windows).
`Instance` | `withPrivateDnsName(String privateDnsName)` The private DNS name assigned to the instance.
`Instance` | `withPrivateIpAddress(String privateIpAddress)` Specifies the private IP address that is assigned to the instance (Amazon VPC).
`Instance` | `withProductCodes(Collection<ProductCode> productCodes)` Product codes attached to this instance.
`Instance` | `withProductCodes(ProductCode... productCodes)` Product codes attached to this instance.
`Instance` | `withPublicDnsName(String publicDnsName)` The public DNS name assigned to the instance.
`Instance` | `withPublicIpAddress(String publicIpAddress)` Specifies the IP address of the instance.
`Instance` | `withRamdiskId(String ramdiskId)` RAM disk associated with this instance.
`Instance` | `withRootDeviceName(String rootDeviceName)` The root device name (e.g., /dev/sda1).
`Instance` | `withRootDeviceType(String rootDeviceType)` The root device type used by the AMI.
`Instance` | `withSpotInstanceRequestId(String spotInstanceRequestId)` Returns a reference to this object so that method calls can be chained together.
`Instance` | `withState(InstanceState state)` The current state of the instance.
`Instance` | `withStateReason(StateReason stateReason)` The reason for the state change.
`Instance` | `withStateTransitionReason(String stateTransitionReason)` Reason for the most recent state transition.
`Instance` | `withSubnetId(String subnetId)` Specifies the Amazon VPC subnet ID in which the instance is running.
`Instance` | `withVirtualizationType(String virtualizationType)` Sets the value of the VirtualizationType property for this object.
`Instance` | `withVpcId(String vpcId)` Specifies the Amazon VPC in which the instance is running.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Instance

    public Instance()

Method Detail

### getInstanceId

    public String getInstanceId()

  Unique ID of the instance launched.

  Returns:
    Unique ID of the instance launched.

### setInstanceId

    public void setInstanceId(String instanceId)

  Unique ID of the instance launched.

  Parameters:
    `instanceId` - Unique ID of the instance launched.

### withInstanceId

    public Instance withInstanceId(String instanceId)

  Unique ID of the instance launched.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `instanceId` - Unique ID of the instance launched.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getImageId

    public String getImageId()

  Image ID of the AMI used to launch the instance.

  Returns:
    Image ID of the AMI used to launch the instance.

### setImageId

    public void setImageId(String imageId)

  Image ID of the AMI used to launch the instance.

  Parameters:
    `imageId` - Image ID of the AMI used to launch the instance.

### withImageId

    public Instance withImageId(String imageId)

  Image ID of the AMI used to launch the instance.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `imageId` - Image ID of the AMI used to launch the instance.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getState

    public InstanceState getState()

  The current state of the instance.

  Returns:
    The current state of the instance.

### setState

    public void setState(InstanceState state)

  The current state of the instance.

  Parameters:
    `state` - The current state of the instance.

### withState

    public Instance withState(InstanceState state)

  The current state of the instance.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `state` - The current state of the instance.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getPrivateDnsName

    public String getPrivateDnsName()

  The private DNS name assigned to the instance. This DNS name can only be used inside the Amazon EC2 network. This element remains empty until the instance enters a running state.

  Returns:
    The private DNS name assigned to the instance. This DNS name can only be used inside the Amazon EC2 network. This element remains empty until the instance enters a running state.

### setPrivateDnsName

    public void setPrivateDnsName(String privateDnsName)

  The private DNS name assigned to the instance. This DNS name can only be used inside the Amazon EC2 network. This element remains empty until the instance enters a running state.

  Parameters:
    `privateDnsName` - The private DNS name assigned to the instance. This DNS name can only be used inside the Amazon EC2 network. This element remains empty until the instance enters a running state.

### withPrivateDnsName

    public Instance withPrivateDnsName(String privateDnsName)

  The private DNS name assigned to the instance. This DNS name can only be used inside the Amazon EC2 network. This element remains empty until the instance enters a running state.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `privateDnsName` - The private DNS name assigned to the instance. This DNS name can only be used inside the Amazon EC2 network. This element remains empty until the instance enters a running state.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getPublicDnsName

    public String getPublicDnsName()

  The public DNS name assigned to the instance. This DNS name is contactable from outside the Amazon EC2 network. This element remains empty until the instance enters a running state.

  Returns:
    The public DNS name assigned to the instance. This DNS name is contactable from outside the Amazon EC2 network. This element remains empty until the instance enters a running state.

### setPublicDnsName

    public void setPublicDnsName(String publicDnsName)

  The public DNS name assigned to the instance. This DNS name is contactable from outside the Amazon EC2 network. This element remains empty until the instance enters a running state.

  Parameters:
    `publicDnsName` - The public DNS name assigned to the instance. This DNS name is contactable from outside the Amazon EC2 network. This element remains empty until the instance enters a running state.

### withPublicDnsName

    public Instance withPublicDnsName(String publicDnsName)

  The public DNS name assigned to the instance. This DNS name is contactable from outside the Amazon EC2 network. This element remains empty until the instance enters a running state.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `publicDnsName` - The public DNS name assigned to the instance. This DNS name is contactable from outside the Amazon EC2 network. This element remains empty until the instance enters a running state.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getStateTransitionReason

    public String getStateTransitionReason()

  Reason for the most recent state transition. This might be an empty string.

  Returns:
    Reason for the most recent state transition. This might be an empty string.

### setStateTransitionReason

    public void setStateTransitionReason(String stateTransitionReason)

  Reason for the most recent state transition. This might be an empty string.

  Parameters:
    `stateTransitionReason` - Reason for the most recent state transition. This might be an empty string.

### withStateTransitionReason

    public Instance withStateTransitionReason(String stateTransitionReason)

  Reason for the most recent state transition. This might be an empty string.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `stateTransitionReason` - Reason for the most recent state transition. This might be an empty string.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getKeyName

    public String getKeyName()

  If this instance was launched with an associated key pair, this displays the key pair name.

  Returns:
    If this instance was launched with an associated key pair, this displays the key pair name.

### setKeyName

    public void setKeyName(String keyName)

  If this instance was launched with an associated key pair, this displays the key pair name.

  Parameters:
    `keyName` - If this instance was launched with an associated key pair, this displays the key pair name.

### withKeyName

    public Instance withKeyName(String keyName)

  If this instance was launched with an associated key pair, this displays the key pair name.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `keyName` - If this instance was launched with an associated key pair, this displays the key pair name.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getAmiLaunchIndex

    public Integer getAmiLaunchIndex()

  The AMI launch index, which can be used to find this instance within the launch group.

  Returns:
    The AMI launch index, which can be used to find this instance within the launch group.

### setAmiLaunchIndex

    public void setAmiLaunchIndex(Integer amiLaunchIndex)

  The AMI launch index, which can be used to find this instance within the launch group.

  Parameters:
    `amiLaunchIndex` - The AMI launch index, which can be used to find this instance within the launch group.

### withAmiLaunchIndex

    public Instance withAmiLaunchIndex(Integer amiLaunchIndex)

  The AMI launch index, which can be used to find this instance within the launch group.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `amiLaunchIndex` - The AMI launch index, which can be used to find this instance within the launch group.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getProductCodes

    public List<ProductCode> getProductCodes()

  Product codes attached to this instance.

  Returns:
    Product codes attached to this instance.

### setProductCodes

    public void setProductCodes(Collection<ProductCode> productCodes)

  Product codes attached to this instance.

  Parameters:
    `productCodes` - Product codes attached to this instance.

### withProductCodes

    public Instance withProductCodes(ProductCode... productCodes)

  Product codes attached to this instance.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `productCodes` - Product codes attached to this instance.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withProductCodes

    public Instance withProductCodes(Collection<ProductCode> productCodes)

  Product codes attached to this instance.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `productCodes` - Product codes attached to this instance.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getInstanceType

    public String getInstanceType()

  The instance type. For more information on instance types, please see the Amazon Elastic Compute Cloud Developer Guide.

  Constraints:
  Allowed Values: m1.small, m1.large, m1.xlarge, m2.xlarge, m2.2xlarge, m2.4xlarge, c1.medium, c1.xlarge, cc1.4xlarge

  Returns:
    The instance type. For more information on instance types, please see the Amazon Elastic Compute Cloud Developer Guide.
  See Also:
    `InstanceType`

### setInstanceType

    public void setInstanceType(String instanceType)

  The instance type. For more information on instance types, please see the Amazon Elastic Compute Cloud Developer Guide.

  Constraints:
  Allowed Values: m1.small, m1.large, m1.xlarge, m2.xlarge, m2.2xlarge, m2.4xlarge, c1.medium, c1.xlarge, cc1.4xlarge

  Parameters:
    `instanceType` - The instance type. For more information on instance types, please see the Amazon Elastic Compute Cloud Developer Guide.
  See Also:
    `InstanceType`

### withInstanceType

    public Instance withInstanceType(String instanceType)

  The instance type. For more information on instance types, please see the Amazon Elastic Compute Cloud Developer Guide.

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Allowed Values: m1.small, m1.large, m1.xlarge, m2.xlarge, m2.2xlarge, m2.4xlarge, c1.medium, c1.xlarge, cc1.4xlarge

  Parameters:
    `instanceType` - The instance type. For more information on instance types, please see the Amazon Elastic Compute Cloud Developer Guide.
  Returns:
    A reference to this updated object so that method calls can be chained together.
  See Also:
    `InstanceType`

### getLaunchTime

    public Date getLaunchTime()

  The time this instance launched.

  Returns:
    The time this instance launched.

### setLaunchTime

    public void setLaunchTime(Date launchTime)

  The time this instance launched.

  Parameters:
    `launchTime` - The time this instance launched.

### withLaunchTime

    public Instance withLaunchTime(Date launchTime)

  The time this instance launched.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `launchTime` - The time this instance launched.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getPlacement

    public Placement getPlacement()

  The location where this instance launched.

  Returns:
    The location where this instance launched.

### setPlacement

    public void setPlacement(Placement placement)

  The location where this instance launched.

  Parameters:
    `placement` - The location where this instance launched.

### withPlacement

    public Instance withPlacement(Placement placement)

  The location where this instance launched.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `placement` - The location where this instance launched.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getKernelId

    public String getKernelId()

  Kernel associated with this instance.

  Returns:
    Kernel associated with this instance.

### setKernelId

    public void setKernelId(String kernelId)

  Kernel associated with this instance.

  Parameters:
    `kernelId` - Kernel associated with this instance.

### withKernelId

    public Instance withKernelId(String kernelId)

  Kernel associated with this instance.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `kernelId` - Kernel associated with this instance.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getRamdiskId

    public String getRamdiskId()

  RAM disk associated with this instance.

  Returns:
    RAM disk associated with this instance.

### setRamdiskId

    public void setRamdiskId(String ramdiskId)

  RAM disk associated with this instance.

  Parameters:
    `ramdiskId` - RAM disk associated with this instance.

### withRamdiskId

    public Instance withRamdiskId(String ramdiskId)

  RAM disk associated with this instance.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `ramdiskId` - RAM disk associated with this instance.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getPlatform

    public String getPlatform()

  Platform of the instance (e.g., Windows).

  Returns:
    Platform of the instance (e.g., Windows).

### setPlatform

    public void setPlatform(String platform)

  Platform of the instance (e.g., Windows).

  Parameters:
    `platform` - Platform of the instance (e.g., Windows).

### withPlatform

    public Instance withPlatform(String platform)

  Platform of the instance (e.g., Windows).

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `platform` - Platform of the instance (e.g., Windows).
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getMonitoring

    public Monitoring getMonitoring()

  Monitoring status for this instance.

  Returns:
    Monitoring status for this instance.

### setMonitoring

    public void setMonitoring(Monitoring monitoring)

  Monitoring status for this instance.

  Parameters:
    `monitoring` - Monitoring status for this instance.

### withMonitoring

    public Instance withMonitoring(Monitoring monitoring)

  Monitoring status for this instance.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `monitoring` - Monitoring status for this instance.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getSubnetId

    public String getSubnetId()

  Specifies the Amazon VPC subnet ID in which the instance is running.

  Returns:
    Specifies the Amazon VPC subnet ID in which the instance is running.

### setSubnetId

    public void setSubnetId(String subnetId)

  Specifies the Amazon VPC subnet ID in which the instance is running.

  Parameters:
    `subnetId` - Specifies the Amazon VPC subnet ID in which the instance is running.

### withSubnetId

    public Instance withSubnetId(String subnetId)

  Specifies the Amazon VPC subnet ID in which the instance is running.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `subnetId` - Specifies the Amazon VPC subnet ID in which the instance is running.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getVpcId

    public String getVpcId()

  Specifies the Amazon VPC in which the instance is running.

  Returns:
    Specifies the Amazon VPC in which the instance is running.

### setVpcId

    public void setVpcId(String vpcId)

  Specifies the Amazon VPC in which the instance is running.

  Parameters:
    `vpcId` - Specifies the Amazon VPC in which the instance is running.

### withVpcId

    public Instance withVpcId(String vpcId)

  Specifies the Amazon VPC in which the instance is running.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `vpcId` - Specifies the Amazon VPC in which the instance is running.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getPrivateIpAddress

    public String getPrivateIpAddress()

  Specifies the private IP address that is assigned to the instance (Amazon VPC).

  Returns:
    Specifies the private IP address that is assigned to the instance (Amazon VPC).

### setPrivateIpAddress

    public void setPrivateIpAddress(String privateIpAddress)

  Specifies the private IP address that is assigned to the instance (Amazon VPC).

  Parameters:
    `privateIpAddress` - Specifies the private IP address that is assigned to the instance (Amazon VPC).

### withPrivateIpAddress

    public Instance withPrivateIpAddress(String privateIpAddress)

  Specifies the private IP address that is assigned to the instance (Amazon VPC).

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `privateIpAddress` - Specifies the private IP address that is assigned to the instance (Amazon VPC).
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getPublicIpAddress

    public String getPublicIpAddress()

  Specifies the IP address of the instance.

  Returns:
    Specifies the IP address of the instance.

### setPublicIpAddress

    public void setPublicIpAddress(String publicIpAddress)

  Specifies the IP address of the instance.

  Parameters:
    `publicIpAddress` - Specifies the IP address of the instance.

### withPublicIpAddress

    public Instance withPublicIpAddress(String publicIpAddress)

  Specifies the IP address of the instance.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `publicIpAddress` - Specifies the IP address of the instance.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getStateReason

    public StateReason getStateReason()

  The reason for the state change.

  Returns:
    The reason for the state change.

### setStateReason

    public void setStateReason(StateReason stateReason)

  The reason for the state change.

  Parameters:
    `stateReason` - The reason for the state change.

### withStateReason

    public Instance withStateReason(StateReason stateReason)

  The reason for the state change.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `stateReason` - The reason for the state change.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getArchitecture

    public String getArchitecture()

  The architecture of this instance.

  Returns:
    The architecture of this instance.

### setArchitecture

    public void setArchitecture(String architecture)

  The architecture of this instance.

  Parameters:
    `architecture` - The architecture of this instance.

### withArchitecture

    public Instance withArchitecture(String architecture)

  The architecture of this instance.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `architecture` - The architecture of this instance.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getRootDeviceType

    public String getRootDeviceType()

  The root device type used by the AMI. The AMI can use an Amazon EBS or instance store root device.

  Returns:
    The root device type used by the AMI. The AMI can use an Amazon EBS or instance store root device.

### setRootDeviceType

    public void setRootDeviceType(String rootDeviceType)

  The root device type used by the AMI. The AMI can use an Amazon EBS or instance store root device.

  Parameters:
    `rootDeviceType` - The root device type used by the AMI. The AMI can use an Amazon EBS or instance store root device.

### withRootDeviceType

    public Instance withRootDeviceType(String rootDeviceType)

  The root device type used by the AMI. The AMI can use an Amazon EBS or instance store root device.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `rootDeviceType` - The root device type used by the AMI. The AMI can use an Amazon EBS or instance store root device.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getRootDeviceName

    public String getRootDeviceName()

  The root device name (e.g., /dev/sda1).

  Returns:
    The root device name (e.g., /dev/sda1).

### setRootDeviceName

    public void setRootDeviceName(String rootDeviceName)

  The root device name (e.g., /dev/sda1).

  Parameters:
    `rootDeviceName` - The root device name (e.g., /dev/sda1).

### withRootDeviceName

    public Instance withRootDeviceName(String rootDeviceName)

  The root device name (e.g., /dev/sda1).

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `rootDeviceName` - The root device name (e.g., /dev/sda1).
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getBlockDeviceMappings

    public List<InstanceBlockDeviceMapping> getBlockDeviceMappings()

  Block device mapping set.

  Returns:
    Block device mapping set.

### setBlockDeviceMappings

    public void setBlockDeviceMappings(Collection<InstanceBlockDeviceMapping> blockDeviceMappings)

  Block device mapping set.

  Parameters:
    `blockDeviceMappings` - Block device mapping set.

### withBlockDeviceMappings

    public Instance withBlockDeviceMappings(InstanceBlockDeviceMapping... blockDeviceMappings)

  Block device mapping set.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `blockDeviceMappings` - Block device mapping set.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withBlockDeviceMappings

    public Instance withBlockDeviceMappings(Collection<InstanceBlockDeviceMapping> blockDeviceMappings)

  Block device mapping set.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `blockDeviceMappings` - Block device mapping set.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getVirtualizationType

    public String getVirtualizationType()

  Returns the value of the VirtualizationType property for this object.

  Constraints:
  Allowed Values: hvm, paravirtual

  Returns:
    The value of the VirtualizationType property for this object.
  See Also:
    `VirtualizationType`

### setVirtualizationType

    public void setVirtualizationType(String virtualizationType)

  Sets the value of the VirtualizationType property for this object.

  Constraints:
  Allowed Values: hvm, paravirtual

  Parameters:
    `virtualizationType` - The new value for the VirtualizationType property for this object.
  See Also:
    `VirtualizationType`

### withVirtualizationType

    public Instance withVirtualizationType(String virtualizationType)

  Sets the value of the VirtualizationType property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Allowed Values: hvm, paravirtual

  Parameters:
    `virtualizationType` - The new value for the VirtualizationType property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.
  See Also:
    `VirtualizationType`

### getInstanceLifecycle

    public String getInstanceLifecycle()

  Returns:

### setInstanceLifecycle

    public void setInstanceLifecycle(String instanceLifecycle)

  Parameters:
    `instanceLifecycle` -

### withInstanceLifecycle

    public Instance withInstanceLifecycle(String instanceLifecycle)

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `instanceLifecycle` -
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getSpotInstanceRequestId

    public String getSpotInstanceRequestId()

  Returns:

### setSpotInstanceRequestId

    public void setSpotInstanceRequestId(String spotInstanceRequestId)

  Parameters:
    `spotInstanceRequestId` -

### withSpotInstanceRequestId

    public Instance withSpotInstanceRequestId(String spotInstanceRequestId)

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `spotInstanceRequestId` -
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getLicense

    public InstanceLicense getLicense()

  Represents an active license in use and attached to an Amazon EC2 instance.

  Returns:
    Represents an active license in use and attached to an Amazon EC2 instance.

### setLicense

    public void setLicense(InstanceLicense license)

  Represents an active license in use and attached to an Amazon EC2 instance.

  Parameters:
    `license` - Represents an active license in use and attached to an Amazon EC2 instance.

### withLicense

    public Instance withLicense(InstanceLicense license)

  Represents an active license in use and attached to an Amazon EC2 instance.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `license` - Represents an active license in use and attached to an Amazon EC2 instance.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.